org.apache.ignite.internal.processors.cache.persistence.filename

## Interface PdsFoldersResolver

All Known Implementing Classes:
  PdsConsistentIdProcessor

    public interface PdsFoldersResolver

Resolves folders for PDS mode, may have side effect as setting random UUID as local node consistent ID.

### Method Summary

All Methods Instance Methods Abstract Methods
`PdsFolderSettings` `resolveFolders()` Prepares and caches PDS folder settings.

### Method Detail

#### resolveFolders

    PdsFolderSettings resolveFolders()
                              throws IgniteCheckedException

Prepares and caches PDS folder settings. Subsequent call to this method will provide same settings.

Returns:
  PDS folder settings, consistentID and prelocked DB file lock.
Throws:
  `IgniteCheckedException` - if failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020